Browse guests
curl --request POST \
--url https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 123,
"afterKey": "<string>",
"query": {
"criteria": [
{
"criteria": [
{
"value": "<string>"
}
]
}
]
}
}
'const url = 'https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 123,
afterKey: '<string>',
query: {criteria: [{criteria: [{value: '<string>'}]}]}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse"
payload = {
"limit": 123,
"afterKey": "<string>",
"query": { "criteria": [{ "criteria": [{ "value": "<string>" }] }] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 123,
'afterKey' => '<string>',
'query' => [
'criteria' => [
[
'criteria' => [
[
'value' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"limit\": 123,\n \"afterKey\": \"<string>\",\n \"query\": {\n \"criteria\": [\n {\n \"criteria\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 123,\n \"afterKey\": \"<string>\",\n \"query\": {\n \"criteria\": [\n {\n \"criteria\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();{
"guests": [
{
"guest": {
"country": "<string>",
"firstname": "<string>",
"birthdate": "<string>",
"gender": "<string>",
"languages": "<string>",
"city": "<string>",
"timezone": "<string>",
"emailDomains": "<string>",
"phones": "<string>",
"entityId": "<string>",
"nationalities": "<string>",
"tags": "<string>",
"lastname": "<string>",
"emails": "<string>",
"createdAt": "<string>",
"street": "<string>",
"anonymous": true,
"id": "<string>",
"updatedAt": "<string>"
}
}
],
"afterKey": "<string>"
}Search
Browse guests
Scroll through a high volume of guests
POST
/
api
/
guestprofile
/
entities
/
{entity_id}
/
guests
/
browse
Browse guests
curl --request POST \
--url https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 123,
"afterKey": "<string>",
"query": {
"criteria": [
{
"criteria": [
{
"value": "<string>"
}
]
}
]
}
}
'const url = 'https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 123,
afterKey: '<string>',
query: {criteria: [{criteria: [{value: '<string>'}]}]}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse"
payload = {
"limit": 123,
"afterKey": "<string>",
"query": { "criteria": [{ "criteria": [{ "value": "<string>" }] }] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 123,
'afterKey' => '<string>',
'query' => [
'criteria' => [
[
'criteria' => [
[
'value' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"limit\": 123,\n \"afterKey\": \"<string>\",\n \"query\": {\n \"criteria\": [\n {\n \"criteria\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/browse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 123,\n \"afterKey\": \"<string>\",\n \"query\": {\n \"criteria\": [\n {\n \"criteria\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();{
"guests": [
{
"guest": {
"country": "<string>",
"firstname": "<string>",
"birthdate": "<string>",
"gender": "<string>",
"languages": "<string>",
"city": "<string>",
"timezone": "<string>",
"emailDomains": "<string>",
"phones": "<string>",
"entityId": "<string>",
"nationalities": "<string>",
"tags": "<string>",
"lastname": "<string>",
"emails": "<string>",
"createdAt": "<string>",
"street": "<string>",
"anonymous": true,
"id": "<string>",
"updatedAt": "<string>"
}
}
],
"afterKey": "<string>"
}The fields a criterion can target, and the operators each one accepts, are listed on the Search criteria page.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?